Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.tapestry5.internal.model
Class ParameterModelImpl

    java.lang.Object
      org.apache.tapestry5.internal.model.ParameterModelImpl

All Implemented Interfaces:
  ParameterModel

    public class ParameterModelImpl

extends java.lang.Object
implements ParameterModel

Constructor Summary
`ParameterModelImpl(ComponentModel componentModel, java.lang.String name, boolean required, boolean allowNull, java.lang.String defaultBindingPrefix, boolean cached)`

Method Summary
`ComponentModel` | `getComponentModel()` Identifies the component model in which the parameter is defined.
`java.lang.String` | `getDefaultBindingPrefix()` The default binding prefix for the parameter, usually "prop".
`java.lang.String` | `getName()` The name of the parameter.
`boolean` | `isAllowNull()` If true, then no check is needed.
`boolean` | `isCached()`
`boolean` | `isRequired()` If true, the parameter is required.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ParameterModelImpl

    public ParameterModelImpl(ComponentModel componentModel,
                              java.lang.String name,
                              boolean required,
                              boolean allowNull,
                              java.lang.String defaultBindingPrefix,
                              boolean cached)

Method Detail

### getName

    public java.lang.String getName()

  Description copied from interface: `ParameterModel`
  The name of the parameter.

  Specified by:
    `getName` in interface `ParameterModel`

### isRequired

    public boolean isRequired()

  Description copied from interface: `ParameterModel`
  If true, the parameter is required.

  Specified by:
    `isRequired` in interface `ParameterModel`

### getDefaultBindingPrefix

    public java.lang.String getDefaultBindingPrefix()

  Description copied from interface: `ParameterModel`
  The default binding prefix for the parameter, usually "prop".

  Specified by:
    `getDefaultBindingPrefix` in interface `ParameterModel`

### isAllowNull

    public boolean isAllowNull()

  Description copied from interface: `ParameterModel`
  If true, then no check is needed. If false, then the bound value must not be null.

  Specified by:
    `isAllowNull` in interface `ParameterModel`

### isCached

    public boolean isCached()

  Specified by:
    `isCached` in interface `ParameterModel`
  Returns:
    true if the bound-value is cached in the component during rendering.

### getComponentModel

    public ComponentModel getComponentModel()

  Description copied from interface: `ParameterModel`
  Identifies the component model in which the parameter is defined.

  Specified by:
    `getComponentModel` in interface `ParameterModel`
  Returns:
    component model defining the parameter

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2012 The Apache Software Foundation.